import os
import yaml

from openstack_ubuntu_testing import common


class OSUTConfigException(Exception):
    pass


def get_component_config(ubuntu_release, openstack_release):
    if openstack_release == common.CURRENT_OS_DEV:
        conf_file = 'config-%s-%s-trunk.yaml'
    else:
        conf_file = 'config-%s-%s-stable.yaml'
    conf_file = conf_file % (ubuntu_release, openstack_release)
    conf_dir = os.path.join(common.OSUT_ROOT, 'etc', 'builds')
    config = yaml.load(open(os.path.join(conf_dir, conf_file)))
    try:
        return config[ubuntu_release]
    except KeyError:
        raise OSUTConfigException('No component config for %s in %s' %
                                 (ubuntu_release, conf_file))
