import yaml
import subprocess

from deployer.env import select_runtime


class OSEnvInspectionError(Exception):
    pass


class OSEnvInspectorBase(object):
    def __init__(self, juju_env='maas'):
        self.juju_env_name = juju_env
        self.juju_deployer = None

    def _get_deployer(self):
        self.juju_deployer = select_runtime(self.juju_env_name, None)

    def get_service_config(self, service):
        conf = subprocess.check_output(['juju', 'get', service])
        return yaml.load(conf)['settings']

    def find_service(self, service):
        if not self.juju_deployer:
            self._get_deployer()
        return self.juju_deployer.get_service_address(service)

    def do_inspection(self, data=None):
        raise NotImplementedError
