
import base


class OSEnvComputeInspector(base.OSEnvInspectorBase):
    def do_inspection(self, data=None):
        '''determines what compute flavor(s) we are using in the cloud'''
        backend = None

        if self.find_service('nova-vmware'):
            backend = 'vmware'
        elif self.find_service('nova-compute'):
            conf = self.get_service_config('nova-compute')
            if 'value' in conf['virt-type']:
                backend = conf['virt-type']['value']
            else:
                backend = 'kvm'

        return {'compute_backend': backend}
