import os

import base

# These are defauls to the OSUT lab but may be overwritten
# if set in the environment

# Quantum/Neutron networking details
DEFAULT_EXT_NET_GW = '192.168.21.1'
DEFAULT_EXT_NET_CIDR = '192.168.21.0/24'
DEFAULT_EXT_NET_NAME = 'ext-net'
DEFAULT_FLOAT_RANGE = '192.168.21.130:192.168.21.200'
DEFAULT_FIXED_NET_CIDR = '10.5.5.0/24'
DEFAULT_FIXED_NET_NAME = 'admin_net'
DEFAULT_DNS = '192.168.20.1'

# nova-network flatdhcp details
DEFAULT_NNET_PRIVATE_CIDR = DEFAULT_EXT_NET_CIDR
DEFAULT_NNET_FLOATING = '192.168.20.224/27'
DEFAULT_NNET_FLOATING_2 = '192.168.20.223/27'


class OSEnvLabSpecificsInspector(base.OSEnvInspectorBase):
    def do_inspection(self, data=None):
        return {
            'quantum_ext_net_gw': os.getenv('QUANTUM_EXT_NET_GW',
                                            DEFAULT_EXT_NET_GW),
            'quantum_ext_net_cidr': os.getenv('QUANTUM_EXT_NET_CIDR',
                                              DEFAULT_EXT_NET_CIDR),
            'quantum_ext_net_name': os.getenv('QUANTUM_EXT_NET_NAME',
                                              DEFAULT_EXT_NET_NAME),
            'quantum_float_range': os.getenv('QUANTUM_EXT_NET_NAME',
                                             DEFAULT_EXT_NET_NAME),
            'quantum_fixed_net_cidr': os.getenv('QUANTUM_FIXED_NET_CIDR',
                                                DEFAULT_FIXED_NET_CIDR),
            'quantum_fixed_net_name': os.getenv('QUANTUM_FIXED_NET_NAME',
                                                DEFAULT_FIXED_NET_NAME),
            'quantum_dns': os.getenv('QUANTUM_DNS', DEFAULT_DNS),
            'nova_net_private_net_cidr': os.getenv('NOVA_NET_PRIVATE_CIDR',
                                                   DEFAULT_NNET_PRIVATE_CIDR),
            'nova_net_floating_pool_range': os.getenv(
                'NOVA_NET_FLOATING_RANGE',
                DEFAULT_NNET_FLOATING),
            'nova_net_floating_pool_range_2': os.getenv(
                'NOVA_NET_FLOATING_RANGE',
                DEFAULT_NNET_FLOATING_2)
        }
